std::aligned_union< _Len, _Types >(3cxx)

NAME
std::aligned_union< _Len, _Types > - Provide aligned storage for types.

SYNOPSIS

#include <type_traits>

  Public Types

typedef aligned_storage< _S_len, alignment_value >::type type
The storage.

  Static Public Attributes

static const size_t alignment_value
The value of the strictest alignment of _Types.

Detailed Description

  template<size_t _Len, typename... _Types>
struct std::aligned_union< _Len, _Types >"Provide aligned storage for types.

[meta.trans.other]

Provides aligned storage for any of the provided types of at least size _Len.

See also
    aligned_storage

Member Typedef Documentation

  template<size_t _Len, typename... _Types> typedef aligned_storage<_S_len,alignment_value>::type std::aligned_union< _Len, _Types >::type

The storage.

Member Data Documentation

  template<size_t _Len, typename... _Types> const size_t std::aligned_union< _Len, _Types >::alignment_value [static]

The value of the strictest alignment of _Types.

Author

Generated automatically by Doxygen for libstdc++ from the source code.